Wolfgang Schnerring wrote:
> * Martijn Faassen <faas...@startifact.com> [2009-11-27 12:32]:
>> Would people be okay with such an upgrade path? Any better ideas?
> 
> Yes, I'm okay with it. I do think we should take care that the
> transition period is long enough, so that people have a chance to update
> their code. (The deprecation warnings proposed elsewhere should help
> there, I think this is a good use case for them.) 
> Thus, we should not start requiring zope.component 4.0 everywhere
> immediately (because it's new, great and shiny ;), but rather use
> 3.9+future when we want to use the new semantics, and only after I don't
> know, 6 months maybe, start switching over completely.

I agree. If we go this route, we should delay a release of 
zope.component 4.0 for a significant period so we don't get code 
depending on it. That may be quite a bit longer than 6 months.

I'd be nice if we could express dependencies like: "zope.component > 
3.11 or zope.component > 4.0" but I don't think that's supported yet.

Regards,

Martijn

_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
https://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 https://mail.zope.org/mailman/listinfo/zope-announce
 https://mail.zope.org/mailman/listinfo/zope )

Reply via email to